import { joinURL } from "ufo";
import { useRequestEvent } from "#imports";
export const useGithub = () => {
  const _fetch = (base) => (query) => {
    const url = joinURL("/api/_github", base, `${encodeParams(query) || "index"}.json`);
    if (process.server) {
      const event = useRequestEvent();
      event.node.res.setHeader(
        "x-nitro-prerender",
        [event.node.res.getHeader("x-nitro-prerender"), url].filter(Boolean).join(",")
      );
    }
    return $fetch(url, { responseType: "json" });
  };
  return {
    fetchRepository: _fetch("repository"),
    fetchReleases: _fetch("releases"),
    fetchRelease: _fetch("releases"),
    fetchLastRelease: (query) => _fetch("releases")({ ...query, last: true }),
    fetchContributors: _fetch("contributors"),
    fetchFileContributors: _fetch("contributors/file"),
    fetchReadme: _fetch("readme"),
    fetchCommits: _fetch("commits")
  };
};
function encodeParams(params) {
  return Object.entries(params).map(([key, value]) => `${key}_${String(value)}`).join(":");
}
