import { eventHandler } from "h3";
import { overrideConfig, decodeParams, fetchCommits } from "../../utils/queries.mjs";
import { useRuntimeConfig, cachedEventHandler } from "#imports";
const moduleConfig = useRuntimeConfig().github || {};
const handler = process.env.NODE_ENV === "development" || moduleConfig.disableCache ? eventHandler : cachedEventHandler;
export default handler(
  async (event) => {
    const query = decodeParams(event.context.params?.query);
    const normalizedQuery = {
      ...query,
      date: query.date ? new Date(query.date) : void 0
    };
    const githubConfig = overrideConfig(moduleConfig, query);
    return await fetchCommits(normalizedQuery, githubConfig);
  },
  {
    maxAge: 60
    // cache for one minute
  }
);
