import { eventHandler } from "h3";
import { overrideConfig, decodeParams, fetchFileContributors } from "../../utils/queries.mjs";
import { useRuntimeConfig, cachedEventHandler } from "#imports";
const moduleConfig = useRuntimeConfig().github || {};
const handler = process.env.NODE_ENV === "development" || moduleConfig.disableCache ? eventHandler : cachedEventHandler;
export default handler(
  async (event) => {
    const query = decodeParams(event.context.params?.query);
    const githubConfig = overrideConfig(moduleConfig, query);
    query.max = query.max ? Number(query.max) : moduleConfig.maxContributors;
    return await fetchFileContributors(query, githubConfig);
  },
  {
    maxAge: 60
    // cache for one minute
  }
);
